import request from '@/utils/request'

// 查询白胚入库单列表
export function listWmsEmbryoin(query) {
	return request({
		url: '/wms/wmsEmbryoin/list',
		method: 'get',
		params: query
	});
}

// 查询白胚入库单详细
export function getWmsEmbryoin(ID) {
	return request({
		url: '/wms/wmsEmbryoin/' + ID,
		method: 'get'
		});
}

// 新增白胚入库单
export function addWmsEmbryoin(data) {
	return request({
		url: '/wms/wmsEmbryoin',
		method: 'post',
		data: data
	});
}

// 修改白胚入库单
export function updateWmsEmbryoin(data) {
	return request({
		url: '/wms/wmsEmbryoin',
		method: 'put',
		data: data
	});
}

// 删除白胚入库单
export function delWmsEmbryoin(ID) {
	return request({
		url: '/wms/wmsEmbryoin/' + ID,
		method: 'delete'
	});
}
